﻿<div data-ng-controller="listOfViewCostCentreController as vm">
    <fieldset>
        <div class="row col-xs-12 ">
            <div class="form-group col-xs-5 col-lg-5">
                <label id="lblTelephone">Telephone</label>
                <input id="txtTelephone" type="text" ng-model="LovParamCostCentre.telephone" class="form-control txtInput" />
            </div>
            <div class="col-xs-4  form-group col-lg-4">
                <label id="lblcostCentre">Cost Centre</label>
                <input id="txtcostCentre" type="text" ng-model="LovParamCostCentre.cost_centre"  class="form-control txtInput" />
            </div>
            <div class="col-xs-5  form-group col-lg-5">
                <label id="lblname">Name</label>
                <input id="txtname" type="text" ng-model="LovParamCostCentre.reference_name"  class="form-control txtInput" />
            </div>
        </div>
        <div class="col-xs-12 alpha no-offset">
            <div class="form-group col-xs-6 col-lg-6">
                <input id="btnSearch" type="button" class="btn btn-dialog-search" value="Search" ng-click="vm.SearchData()" />
                <input id="btnCancel" type="button" class="btn btn-dialog-clear" value="Clear" ng-click="vm.ListOfViewCancel()" />
            </div>
            <div class="form-group col-xs-6 col-lg-6 text-right no-offset">
                <label><span ng-if="IsMultipleSelected">AppResource.CommonSelect {{ListSelectedCostCentre.length}}/</span>{{ListDisplayCostCentre.TotalRecord}} Records</label>
                <button ng-if="IsMultipleSelected" id="btnSubmit" type="button" class="btn btn-sm" data-ng-click="vm.ListOfViewSubmit()">AppResource.CommonOk</button>
            </div>
        </div>
    </fieldset>

        <div class="row col-xs-12 ">
            <div class="table-responsive">
                <table class="table table-striped">
                    <thead>
                        <tr style="background-color: #FF6505;color: white;">
                            @*<th class="text-center col-xs-1" ng-if="IsShowLock">&nbsp;</th>
                            <th class="text-center col-xs-1" ng-if="IsMultipleSelected">
                                <input id="chkSelectedAll" type="checkbox" ng-model="vm.isCheckedAll" ng-change="vm.SelectedAll()" />
                            </th>*@
                            <th class="text-center col-xs-1"><span>No.</span></th>
                            <th class="text-center col-xs-2">
                                <span style="color:white">Telephone</span>
                                @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('[References].telePhone');">
                                    <span style="color:white">Telephone</span>
                                    <span ng-if="SearchParameter.SortColumn == '[References].telePhone'" ng-class="vm.SortingDisplayIcon();"></span>
                                </a>*@
                            </th>
                            <th class="text-center col-xs-2">
                                <span style="color:white">Cost Centre</span>
                                @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('[References].cost_centre');">
                                    <span style="color:white">Cost Centre</span>
                                    <span ng-if="SearchParameter.SortColumn == '[References].cost_centre'" ng-class="vm.SortingDisplayIcon();"></span>
                                </a>*@
                            </th>
                            <th class="text-center col-xs-3">
                                <span style="color:white">Name</span>
                                @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('[References].[reference_name]');">
                                    <span style="color:white">Name</span>
                                    <span ng-if="SearchParameter.SortColumn == '[References].[reference_name]'" ng-class="vm.SortingDisplayIcon();"></span>
                                </a>*@
                            </th>
                            <th class="text-center col-xs-3">
                                <span style="color:white">Address1</span>
                                @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('[References].[address1]');">
                                    <span style="color:white">Address1</span>
                                    <span ng-if="SearchParameter.SortColumn == '[References].[address1]'" ng-class="vm.SortingDisplayIcon();"></span>
                                </a>*@
                            </th>
                            <th class="text-center col-xs-3">
                                <span style="color:white">Address2</span>
                                @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('[References].[address2]');">
                                    <span style="color:white">Address2</span>
                                    <span ng-if="SearchParameter.SortColumn == '[References].[address2]'" ng-class="vm.SortingDisplayIcon();"></span>
                                </a>*@
                            </th>
                            <th class="text-center col-xs-3">
                                <span style="color:white">Postal Code</span>
                                @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('[References].[zipcode]');">
                                    <span style="color:white">Postal Code</span>
                                    <span ng-if="SearchParameter.SortColumn == '[References].[zipcode]'" ng-class="vm.SortingDisplayIcon();"></span>
                                </a>*@
                            </th>
                            <th class="text-center col-xs-3">
                                <span style="color:white">Fax</span>
                                @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('[References].[fax]');">
                                    <span style="color:white">Fax</span>
                                    <span ng-if="SearchParameter.SortColumn == '[References].[fax]'" ng-class="vm.SortingDisplayIcon();"></span>
                                </a>*@
                            </th>
                            <th class="text-center col-xs-3">
                                <span style="color:white">Contact Person</span>
                                @*<a href="javascript:void(0)" ng-click="vm.SortingColumn('[References].[contactperson]');">
                                    <span style="color:white">Contact Person</span>
                                    <span ng-if="SearchParameter.SortColumn == '[References].[contactperson]'" ng-class="vm.SortingDisplayIcon();"></span>
                                </a>*@
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr ng-repeat="item in ListDisplayCostCentre.SearchResults" class="lblHover" ng-click="vm.SelectRow(item)">
                            <td class="text-center" ng-if="IsMultipleSelected"><input id="checkBox{{item.Id}}" type="checkbox" ng-model="item.IsSelected" ng-change="vm.SelectRow(item)"></td>
                            <td class="text-center">{{(SearchParameter.ItemsPerPage*(SearchParameter.Page-1))+$index+1}}</td>
                            <td class="text-center">{{ item.telephone }}</td>
                            <td class="text-center">{{ item.cost_centre }}</td>
                            <td class="text-center">{{ item.reference_name }}</td>
                            <td class="text-center">{{ item.address1 }}</td>
                            <td class="text-center">{{ item.address2 }}</td>
                            <td class="text-center">{{ item.zipcode }}</td>
                            <td class="text-center">{{ item.fax }}</td>
                            <td class="text-center">{{ item.contactperson }}</td>


                        </tr>
                        <tr ng-if="ListDisplayCostCentre.SearchResults.length <= 0">
                            <td class="text-center" colspan="5">
                                <div>No Data Found.</div>
                            </td>
                        </tr>
                    </tbody>
                </table>

                <div class="col-xs-12 form-group no-offset">
                    <dir-pagination-lov total-count="ListDisplayCostCentre.TotalRecord"
                                        records-per-page="SearchParameter.ItemsPerPage"
                                        url-prefix="'#'+vm.defaultUrlPrefix"
                                        url-postfix="vm.urlPostfix?'?'+vm.urlPostfix:''"
                                        current-page-id="SearchParameter.Page"
                                        skip="SearchParameter.ItemsPerPage*(SearchParameter.Page-1)"
                                        ng-model="SelectedPageLink">
                    </dir-pagination-lov>
                </div>
            </div>
            </div>

</div>
